Debian Bug report logs - #493241
gnome-mplayer fails to build if built twice in row

version graph

Package: gnome-mplayer; Maintainer for gnome-mplayer is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for gnome-mplayer is src:gnome-mplayer.

Reported by: Cesare Tirabassi <norsetto@ubuntu.com>

Date: Fri, 1 Aug 2008 14:42:02 UTC

Severity: serious

Tags: patch

Found in version gnome-mplayer/0.6.3-1

Fixed in versions gnome-mplayer/0.6.3-2, gnome-mplayer/0.7.0-1

Done: Cesare Tirabassi <norsetto@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#493241; Package gnome-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Cesare Tirabassi <norsetto@ubuntu.com>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: submit@bugs.debian.org
Subject: gnome-mplayer fails to build if built twice in row
Date: Fri, 1 Aug 2008 16:40:55 +0200
[Message part 1 (text/plain, inline)]
Package: gnome-mplayer
Version: 0.6.3-1
Severity: serious
Tags: patch pending

Marked as serious since this is a lenny release goal.
See following excerpt from the build log:

dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/tr.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to 
gnome-mplayer-0.6.3/po/zh_HK.gmo: binary file contents changed
dpkg-source: error: cannot represent change to 
gnome-mplayer-0.6.3/po/sr@latin.gmo: binary file contents changed
dpkg-source: error: cannot represent change to 
gnome-mplayer-0.6.3/po/zh_CN.gmo: binary file contents changed
dpkg-source: error: cannot represent change to 
gnome-mplayer-0.6.3/po/pt_BR.gmo: binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/it.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/fr.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/ko.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/en.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/sr.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/es.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/sv.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to 
gnome-mplayer-0.6.3/po/zh_TW.gmo: binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/ro.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/ru.gmo: 
binary file contents changed
dpkg-source: error: cannot represent change to gnome-mplayer-0.6.3/po/pl.gmo: 
binary file contents changed
dpkg-source: warning: ignoring deletion of file config.h
dpkg-source: warning: ignoring deletion of file config.sub
dpkg-source: warning: ignoring deletion of file gnome-mplayer.spec
dpkg-source: warning: ignoring deletion of file config.guess
dpkg-source: unrepresentable changes to source
dpkg-buildpackage: failure: dpkg-source -b gnome-mplayer-0.6.3 gave error exit 
status 1

The attached patch solves the problem.
[gnome-mplayer_0.6.3-2.diff (text/x-diff, attachment)]

Reply sent to Cesare Tirabassi <norsetto@ubuntu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cesare Tirabassi <norsetto@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 493241-close@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: 493241-close@bugs.debian.org
Subject: Bug#493241: fixed in gnome-mplayer 0.6.3-2
Date: Tue, 02 Sep 2008 13:17:03 +0000
Source: gnome-mplayer
Source-Version: 0.6.3-2

We believe that the bug you reported is fixed in the latest version of
gnome-mplayer, which is due to be installed in the Debian FTP archive:

gnome-mplayer-dbg_0.6.3-2_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer-dbg_0.6.3-2_amd64.deb
gnome-mplayer_0.6.3-2.diff.gz
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.6.3-2.diff.gz
gnome-mplayer_0.6.3-2.dsc
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.6.3-2.dsc
gnome-mplayer_0.6.3-2_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.6.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493241@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cesare Tirabassi <norsetto@ubuntu.com> (supplier of updated gnome-mplayer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Aug 2008 16:11:55 +0200
Source: gnome-mplayer
Binary: gnome-mplayer gnome-mplayer-dbg
Architecture: source amd64
Version: 0.6.3-2
Distribution: unstable
Urgency: low
Maintainer: Cesare Tirabassi <norsetto@ubuntu.com>
Changed-By: Cesare Tirabassi <norsetto@ubuntu.com>
Description: 
 gnome-mplayer - A simple GUI for MPlayer
 gnome-mplayer-dbg - A simple GUI for MPlayer (debugging symbols)
Closes: 493241
Changes: 
 gnome-mplayer (0.6.3-2) unstable; urgency=low
 .
   * Fix the package failing to build if built twice in a row
     (Closes: #493241)
Checksums-Sha1: 
 0e5ee441b99dc67f32655992f7595369af7bf72b 1874 gnome-mplayer_0.6.3-2.dsc
 2189e039e96a9195a51b6d75be73398eb5f9c40b 6058 gnome-mplayer_0.6.3-2.diff.gz
 d38aede7ea19bd1c53124c6d0f210cad08fda7fd 240582 gnome-mplayer_0.6.3-2_amd64.deb
 be299ee97d7f922def2e4f95a4a80a9bcbe8d45b 154056 gnome-mplayer-dbg_0.6.3-2_amd64.deb
Checksums-Sha256: 
 dc629f546f8a0bbde906adf9ea768485eb432e6aedae3920c2dd6920675c5099 1874 gnome-mplayer_0.6.3-2.dsc
 9adc3eca01f74f5ed665046a51b4d5184d6d9728913021ebd3dd2a4500cdb78f 6058 gnome-mplayer_0.6.3-2.diff.gz
 9804e038d4f59325cb57998116fd38e80a8be93b8b2dbd0589e2ba7331452ba5 240582 gnome-mplayer_0.6.3-2_amd64.deb
 ffcdf5471909bac29a028f53202ebac16d53caf79faae260aad7ae2ef7070659 154056 gnome-mplayer-dbg_0.6.3-2_amd64.deb
Files: 
 3c6e1759924ce77d3593bb2b4b3b750f 1874 graphics optional gnome-mplayer_0.6.3-2.dsc
 f273f3188eeeec0525578e8486146618 6058 graphics optional gnome-mplayer_0.6.3-2.diff.gz
 386739d31d9962adcd887b23a0795c67 240582 graphics optional gnome-mplayer_0.6.3-2_amd64.deb
 7a1d373f5e82ab5561db5142f126829a 154056 graphics extra gnome-mplayer-dbg_0.6.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBAgAGBQJIvTjwAAoJEKBE/gcUDGZkyccP/1lPFneZTOBgSPACRUaXn3LC
hXXO2PW/QCO/32aoHsVUeGnHJmR03aSObu7CGwlvANy5GMQnnLdz/Ngx+c6OHPlF
iP/MIWli6mW1IT0d6MvfzYwdQIal+W+1OpLKhMdhIGyPM4pwsNmb+A0YV2Xkf9XM
uEFQllmZhXodsqXcwx96X4cMGM5Qg+M+CgxD1j1L+cWK2dabawT8cor4/32eL5A9
gM+jao7nL67SKdSR3Z3KvPGYqt/qhi8SyOWaOR8Vx925cm7kmqsZilOHJw6Xw17U
Z6we++DpGC2I7PkYzbbA48olNW7KTvPlv5xeRU9GksHxw9UIPAwrowNWoMHkOMT6
pVOCzFl3Bbf+dCSnHi0Ipbygmd2AD5kvAKWIfsHHYb1Uu4/g7niORdCcagbVcbXh
mARWhyYkAbWuJesIQwa3D94f4mYcMQSpJARho0qEqj6gfF45Ikog3UVZ7rSJ3478
ucaxuVR01FX0ukwIiLjp2tx6TVxyizWYDiyNoFmHL7cJrlTfpDbnpOw2pS/oZ/lU
Ql/uSjU6yS1sC6xzqEJhpSRp4uykASY9GP0uv6MDc9Xo5klM3P+1alBJH3N/obZt
keB557K/skxFSmMQbL91LLiARtM0S1F5YUxkkkJkQYbbqL6op5qk2MNrlTQSK/K9
8iSfVluKjrnTGsneKvOX
=mosu
-----END PGP SIGNATURE-----





Reply sent to Cesare Tirabassi <norsetto@ubuntu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cesare Tirabassi <norsetto@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 493241-close@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: 493241-close@bugs.debian.org
Subject: Bug#493241: fixed in gnome-mplayer 0.7.0-1
Date: Tue, 02 Sep 2008 14:02:05 +0000
Source: gnome-mplayer
Source-Version: 0.7.0-1

We believe that the bug you reported is fixed in the latest version of
gnome-mplayer, which is due to be installed in the Debian FTP archive:

gnome-mplayer-dbg_0.7.0-1_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer-dbg_0.7.0-1_amd64.deb
gnome-mplayer_0.7.0-1.diff.gz
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1.diff.gz
gnome-mplayer_0.7.0-1.dsc
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1.dsc
gnome-mplayer_0.7.0-1_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1_amd64.deb
gnome-mplayer_0.7.0.orig.tar.gz
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493241@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cesare Tirabassi <norsetto@ubuntu.com> (supplier of updated gnome-mplayer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Aug 2008 21:17:50 +0200
Source: gnome-mplayer
Binary: gnome-mplayer gnome-mplayer-dbg
Architecture: source amd64
Version: 0.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Cesare Tirabassi <norsetto@ubuntu.com>
Changed-By: Cesare Tirabassi <norsetto@ubuntu.com>
Description: 
 gnome-mplayer - A simple GUI for MPlayer
 gnome-mplayer-dbg - A simple GUI for MPlayer (debugging symbols)
Closes: 493241 494322 495094
Changes: 
 gnome-mplayer (0.7.0-1) unstable; urgency=low
 .
   * New upstream release (CLoses: #494322):
     - debian/control:
       + add libasound2-dev as a Build-Depends
       + add required version for pkg-config (>= 0.20)
     - remove patch fix-desktop-kde.patch now applied upstream
     - add --single_instance command line option in man page
   * Fix the package failing to build if built twice in a row (Closes: #493241)
   * Link only against needed libraries (Closes: #495094):
     - explicitly pass libraries through the GTK_LIBS environment variable
   * Remove libtool usage for linking:
     - debian/patches/avoid_libtool.patch: avoid linking using libtool
     - debian/rules: remove call to chrpath
     - debian/control: remove B-D on chrpath
   * Modify debian/rules to patch before configure call
   * Removed unused dh_installdir call in debian/rules
Checksums-Sha1: 
 557afc9d33ced588913fb1bf521d6d194e7589b8 1881 gnome-mplayer_0.7.0-1.dsc
 805ad01d2901092d838d1c37f9ff3d86ecc81991 619993 gnome-mplayer_0.7.0.orig.tar.gz
 9bb9b191497f02f243f29c64e8fdbc517b48b4d1 6214 gnome-mplayer_0.7.0-1.diff.gz
 3eebe71fa848c6438fc952e03a63d92c3aa015bc 250932 gnome-mplayer_0.7.0-1_amd64.deb
 03c977c7b0403588306d57b7b134ccac7f673c5f 158586 gnome-mplayer-dbg_0.7.0-1_amd64.deb
Checksums-Sha256: 
 499b24bb80c5f53cc4379f13f45ac990dbf7e4289e917ef5cbab9f562e81dfb7 1881 gnome-mplayer_0.7.0-1.dsc
 2a3816acafbe2924709de6c8e54dd2330b5d042d42ee4c3f079e81d337606704 619993 gnome-mplayer_0.7.0.orig.tar.gz
 caa6eb60d08fc9fe5de4924978d4904cf61d16ea7f9ad61dc48ccfeb862ce99f 6214 gnome-mplayer_0.7.0-1.diff.gz
 8ce82a9608439e25e1ffb6930a6b572e7143eb94681d19fbfc88f1d113ccabd0 250932 gnome-mplayer_0.7.0-1_amd64.deb
 5abf31ac2e9dede4ed158170b5752dcf043d4e8787b10162cb69d48bcac0a9d9 158586 gnome-mplayer-dbg_0.7.0-1_amd64.deb
Files: 
 ea096a4b822255ddaf46760576b46eee 1881 graphics optional gnome-mplayer_0.7.0-1.dsc
 6620bde9eb888c4e4784f5078f64bdaa 619993 graphics optional gnome-mplayer_0.7.0.orig.tar.gz
 24c50b740b39d5e740dc8e58ab011903 6214 graphics optional gnome-mplayer_0.7.0-1.diff.gz
 6f919102cab527c3aa032777be2e131c 250932 graphics optional gnome-mplayer_0.7.0-1_amd64.deb
 ba0761b2d69bdf222410ca927cb6ee1c 158586 graphics extra gnome-mplayer-dbg_0.7.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBAgAGBQJIvUOnAAoJEKBE/gcUDGZkBoQP+wfKcTOvtvxFpSUMf4HRYZFh
9Z3iIa0yix+Xmt29g6kh2pV+j/bzFDHzIpuWU3+wppw8JNh8qpMUI9mg9N7csJqF
qZno9t7rHtvspIZpPK/Gsok6l8xfSqRysu632GOjG3S0a4bou7GJuGgyOXEx+9eI
+g10NOhqKYmUPgihTD6PcL/GcOyLAEQkpaUj66SG5HROVWfKzaj/PlEPpoxITbGQ
IjBbLuOx5k6hFarkmWBIw9QXVcXUOzeQrxhZWcLa7hiXifr4Mi0AnneoPGjkfSPb
ZnY5wD4zHMPEtww4lN//s0aEzILIFUCqm4qncnCsn151J8J2D1mFo0ouq0SLhnZ6
79y2J8+vmTIVLYdQUxA7G9OrzFIu4vIAx7+azv8OQXX8U3Rki4d/AJdk41dvB68W
sULy93Yalw07VwxBJqQa0Kk1df3eITs/xReTX5rY7tlNH8xNWmW9N2K9Xn5UK0Bb
R3LSz74UO5Ibp2i4mF3chEwHSth8ufwwvC/t+I3tN7cImhhsOffUdLcB/3eBG/rB
cQGWLwGX8qlJHZiO8IICJNmH3j7vjVZ4TLOO4yxlEBBcfCBsmNI941SPYXiUeK2o
G854zUfaZeUEiYkXYtQdMtx7bynL5Bs7pybORRwj6kr+0z8lEoOjUCsX1pRyf9xS
VGt+Ljvczxxy2llgs0pa
=QdJ0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Mar 2010 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:02:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.